Subject: RE: [Ltru] Comments on draft-matching-07

From: "Addison Phillips" <[email-masked]>
Date: Mon, 21 Nov 2005 09:42:57 -0800

Interlinear comments below.

Addison

Addison P. Phillips
Globalization Architect, Quest Software

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Doug Ewell
> Sent: 2005年11月20日 19:46
> To: LTRU Working Group
> Subject: [Ltru] Comments on draft-matching-07
> 
> Here are my comments on draft-matching-07.  Most of these are editorial.
> 
> Section 2.1: "It can get more complex: a speaker may wish to fallback
> from Skolt Sami to Northern Sami to Finnish."
> 
> -> This should be "fall back," two words when used as a verb like this,
> but one word as a noun ("a fallback mechanism").  Please use
> search-and-replace for this.
[Addison Phillips] 

Agreed. There was one instance in draft-07 (the remainder were noun forms).
> 
> Section 2.2:  "by adapting the ABNF[RFC4234] from HTTP/1.1 [RFC2616] :"
> and later "Basic language ranges were originally described in [RFC3066]
> and HTTP 1.1 [RFC2616]"
> 
> -> Please call it either "HTTP 1.1" without the slash or "HTTP/1.1" with
> the slash, consistently.
[Addison Phillips] 

Done (used HTTP/1.1). 2 instances.
> 
> Section 2.4:  "because the vast majority English documents are written
> in the Latin script"
> 
> -> Add "of "after "majority."
[Addison Phillips] 

Done.
> 
> Section 2.4:  "note that extensions and most private use subtags are
> orthogonal"
> 
> -> "Private-use" should be hyphenated when used before the noun it
> modifies, like this.  It would not be hyphenated as part of a phrase,
> like "these subtags are for private use."  This occurs in various
> places, so please use search-and-replace here too.
[Addison Phillips] 

Done.
> 
> Section 3.1:  "content labeled "zh-CN" is morely likely to match"
> 
> -> "more" likely
[Addison Phillips] 

Already caught and fixed it in my copy.
> 
> Section 3.2:  "Filtering can produce either ordered or unordered set of
> results."
> 
> -> Add "an" before "ordered," and optionally after "unordered" as well.
[Addison Phillips] 

Done.
> 
> Section 3.2:  "measurment"
> 
> -> Spelling error (typo) still not corrected.
[Addison Phillips] 

No, it's corrected, but it still isn't posted.
> 
> Section 3.2.2:  "zh-Latn-CN-boont"
> 
> -> "boont" is not a variant subtag.  I would much prefer not to use it
> in an example.  Try a real variant like "1901" or "nedis."
[Addison Phillips] 

I tried to find a range that would give me the widest variety of tags that would work as matches and be realistic tags. Thus I changed the example to use the range "de-*-DE" and this set of results:

<t>de-DE</t>
<t>de-Latn-DE</t>
<t>de-Latf-DE</t>
<t>de-DE-x-goethe</t>
<t>de-Latn-DE-1996</t>

> 
> Section 3.2.3:  "Missing end subtags are expanded as the empty
> string..."
> 
> -> Originally (based on draft-matching-06) I was going to complain that
> this section contradicted itself.  In some places it appeared to say
> that all "missing" subtags were expanded as asterisk.  Addison has
> rewritten this passage to clarify the different treatment of tags and
> ranges, and I'll have to read the new text carefully to see whether it
> de-confused me.
[Addison Phillips] 

Okay. Please do. I think, based on my experience with my little implementation, that we ought to change the expansion rules (I actually favor removing them altogether in scored filtering, since that appears to give the best distance metric).
> 
> Section 3.2.3:  "Examples of various tag's distances from the range
> "en-US":... "fr-FR"          384 (language & region mismatch)"
> 
> -> If language counts as 256 and region as 32, then this score should be
> 256 + 32 = 288, not 384.  Again I need to read the revised text to see
> if the examples make more sense now.
> 
> "en-Latn-US"       0 (all fields match)
> 
> -> In reading this, it appears that "en-Brai-US" would also give a
> perfect 0 score, and for that matter so would "en-Egyp-US".  Is that
> correct?  We aren't looking at Suppress-Script here, so that doesn't
> factor into anything (unless we are one of the "implementations or
> protocols" that customize things)
[Addison Phillips] 

Yes. That's what wildcard matching means. Again, see my recommendation above: removing wildcard expansion makes better metrics.
.
> 
> Section 7:  "might be used to track specific individual's activities."
> 
> -> This is not grammatical.  It should be "track a specific individual's
> activities" if we are talking about one individual, or "track specific
> individuals' activities" (notice the apostrophe) if we are talking about
> multiple individuals.
> 
It should be "a specific". It is bizarre to say "specific" and then use plural "individuals".
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru